Subject: Re: Git User's Survey 2007 partial summary

From: Theodore Tso <[email-masked]>
Date: Mon, 27 Aug 2007 11:43:51 -0400

On Mon, Aug 27, 2007 at 07:45:40AM +0200, David Kastrup wrote:
> I found guilt essentially unusable for me due to its documentation.
> There is only man-page level documentation for the various commands
> comprising it, but the overall design is just "this is just like patch
> sets in ..." uh, Monotone?  Don't remember which it was.  Anyway, the
> docs were quite useless to me as someone who did _not_ previously use
> the system mentioned as reference.

The system guilt is more like is "quilt".  For people who are using
pure patches to maintain changes against mainline, quilt is the "rcs"
of that particular problem domain.  It would probably be a good idea
to have a pointer to Andreas Gruenbacher's, "How To Surive With Many
Patches or Introduction to Quilt" paper.

						- Ted